/*
 * Class EV_RICH_TEXT_ACTION_SEQUENCES_I
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_378 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_378 [] = {0xFF01,1551,377,0xFFFF};
static const EIF_TYPE_INDEX egt_2_378 [] = {0xFF01,377,0xFFFF};
static const EIF_TYPE_INDEX egt_3_378 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_378 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_378 [] = {0xFF01,377,0xFFFF};
static const EIF_TYPE_INDEX egt_6_378 [] = {0xFF01,377,0xFFFF};
static const EIF_TYPE_INDEX egt_7_378 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_378 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_378 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_378 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_378 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_378 [] = {0xFF01,377,0xFFFF};
static const EIF_TYPE_INDEX egt_13_378 [] = {0xFF01,640,0xFFFF};
static const EIF_TYPE_INDEX egt_14_378 [] = {0xFF01,654,0xFFFF};
static const EIF_TYPE_INDEX egt_15_378 [] = {0xFF01,640,0xFFFF};
static const EIF_TYPE_INDEX egt_16_378 [] = {0xFF01,640,0xFFFF};
static const EIF_TYPE_INDEX egt_17_378 [] = {0xFF01,654,0xFFFF};
static const EIF_TYPE_INDEX egt_18_378 [] = {0xFF01,640,0xFFFF};


static const struct desc_info desc_378[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_378), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_378), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_378), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_378), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_378), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_378), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_378), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_378), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_378), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_378), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_378), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_378), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x02F3 /*377*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_378), 30, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_378), 6681, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_378), 6682, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_378), 6683, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_378), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0501 /*640*/), 6684, 0},
	{EIF_GENERIC(egt_17_378), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x051D /*654*/), 6685, 4},
	{EIF_GENERIC(egt_18_378), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0501 /*640*/), 6686, 8},
};
void Init378(void)
{
	IDSC(desc_378, 0, 377);
	IDSC(desc_378 + 1, 1, 377);
	IDSC(desc_378 + 32, 1107, 377);
}


#ifdef __cplusplus
}
#endif
